const { createCanvas } = require('canvas');
const fs = require('node:fs');

// Create a 48x48 canvas
const canvas = createCanvas(48, 48);
const ctx = canvas.getContext('2d');

// Draw background circle
ctx.fillStyle = '#6366f1';
ctx.beginPath();
ctx.arc(24, 24, 22, 0, Math.PI * 2);
ctx.fill();

// Draw "P"
ctx.fillStyle = 'white';
ctx.font = 'bold 24px Arial';
ctx.textAlign = 'center';
ctx.textBaseline = 'middle';
ctx.fillText('P', 24, 24);

// Ensure the icons directory exists
if (!fs.existsSync('icons')) {
  fs.mkdirSync('icons');
}

// Save the icon
const buffer = canvas.toBuffer('image/png');
fs.writeFileSync('icons/icon48.png', buffer); 